﻿@using GridMvc.Html
@using GridMvc.Sorting
@model Grid.Mvc.Ajax.GridExtensions.AjaxGrid<LoyaltyPointEngine.Model.Object.Redeem.RedeemCMSViewModel>

@(
 Html.Grid(Model).Named("AllRedeem").Columns(columns =>
 {
     columns.Add(x => x.MemberName)
          .Titled("Member")
          .Encoded(false)
          .Sanitized(false)
          .Sortable(true)
          .RenderValueAs(x => x.MemberName);

     columns.Add(x => x.MemberPhone)
        .Titled("MemberPhone")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.MemberPhone);

     columns.Add(x => x.TransactionCode)
         .Titled("TransactionCode")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.TransactionCode);

     columns.Add(x => x.TransactionDateDate)
         .Titled("TransactionDate")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.TransactionDateDate.ToString("dd-MM-yyyy")).Filterable(true);

     columns.Add(x => x.Point)
         .Titled("Point")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.Point.ToString()).Filterable(true);

     columns.Add(x => x.CreatedDate)
         .Titled("Created Date")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.CreatedDate.ToString("dd-MM-yyyy HH:mm"));

     columns.Add(x => x.ElinaCode)
         .Titled("ElinaCode")
         .Encoded(false)
         .Sanitized(false)
         .Sortable(true)
         .RenderValueAs(x => x.ElinaCode);

     columns.Add(x => x.CatalogueName)
        .Titled("CatalogueName")
        .Encoded(false)
        .Sanitized(false)
        .Sortable(true)
        .RenderValueAs(x => x.CatalogueName);

     columns.Add(x => x.Quantity)
       .Titled("Quantity")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.Quantity.ToString());

     columns.Add(x => x.Channel)
       .Titled("Channel")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.Channel);

     columns.Add(x => x.ReceiverName)
       .Titled("ReceiverName")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.ReceiverName);

     columns.Add(x => x.ReceiverPhone)
       .Titled("ReceiverPhone")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.ReceiverPhone);

     columns.Add(x => x.ReceiverAddress)
       .Titled("ReceiverAddress")
       .Encoded(false)
       .Sanitized(false)
       .Sortable(true)
       .RenderValueAs(x => x.ReceiverAddress);

 })
.Sortable()
.WithPaging(5)
)
<h3 id="totalRows">@String.Format("{0} rows", ViewData.Model.GridItems.Count().ToString())</h3>
